/*
   main.cpp - version 1.0, July, 2001

   Program entry point.

   Copyright (c) 2001-2002 Andreas Jnsson

   This software is provided 'as-is', without any form of
   warranty. In no case will the author be held responsible
   for any damage caused by its use.

   Permission is granted to anyone to use the software for
   for any purpose, including commercial. It is also allowed
   to modify the software and redistribute it free of charge.
   The permission is granted with the following restrictions:

   1. The origin of the software may not be misrepresented.
      It must be plainly understandable who is the author of
      the original software.
   2. Altered versions must not be misrepresented as the
      original software, i.e. must be plainly marked as
      altered.
   3. This notice may not be removed or altered from any
      distribution of the software, altered or not.

   Andreas Jnsson
   andreas@angelcode.com
*/

#include <iostream.h>

#include "interpreter.h"
#include "resource.h"

int main(int argc, char *argv)
{
	char line[1025];
	char output[1025];
	cInterpreter i;

	cout << "SuperCalc v1.2 by Andreas Jonsson (www.AngelCode.com)\n";

	while(1)
	{
		cout << "\n> ";
		cin.getline(line, 1024);

		i.InterpretLine(line, output);

		cout << output;
	}

	return 0;
}

